#ifndef __config_h
#define __config_h

#include "itbase.h"

/*! 
  \brief Simulation configuration file

*/
class Config  {
 
 public:
  //! Empty constructor
  Config(void){};
  //! Constructor taking the configuration file name
  Config( const string cfg_name );
  //! Distructor
  virtual ~Config(void) { cf.close(); };

  int    counter(int i=-1){ if (i>-1) swp_prm_cnt=i; return swp_prm_cnt; };

  virtual int    get_value(string name, int    def);

  virtual double get_value(string name, double def);

  virtual string get_value(string name, string def);
  
  string get_swp_prm_name(){ return swp_prm_name; };

  int get_swp_prm_no(){ return swp_prm_no; };

  double get_swp_prm_val(){ return swp_prm(swp_prm_cnt); };

  vec    get_swp_prm(){ return swp_prm; };
 
 protected:

  it_file cf;
  string swp_prm_name;
  int swp_prm_cnt, swp_prm_no;
  vec swp_prm;

};

/*! 
  \brief Manual Simulation configuration object

*/
class Config_Man : public Config {
 
 public:
  //! Empty constructor
  Config_Man(void);
  //! Distructor
  ~Config_Man(void);

  int    get_value(string name, int    def);

  double get_value(string name, double def);

  string get_value(string name, string def);
  
  void set_value(string name, int    val);

  void set_value(string name, double val);

  void set_value(string name, string val);

  int exists(string name, int val);

  int exists(string name, double val);

  int exists(string name, string val);

 protected:

  int prm_index;
  ivec prm_int;
  vec prm_dbl;
  Vec<string*> prm_str, prm_int_name, prm_dbl_name, prm_str_name;
};

#endif // __config_h
