#!/bin/bash

#####################
#create directories
#####################
mkdir -p ~/bin
cp -f ./bin/* ~/bin
cp ~/.bashrc ~/.bashrc.iridis.bk

##########################
#change local bashrc
##########################
me=`whoami`
appendix1="export IRIDIS_ID=$1"
appendix2="export PATH=/local/$me/bin:\$PATH" 

X=`grep "$appendix1" ~/.bashrc`
if [ -z "$X" ]; then
      echo $appendix1 | cat >> ~/.bashrc
fi
X=`grep "$appendix2" ~/.bashrc`
if [ -z "$X" ]; then
       echo $appendix2 | cat >> ~/.bashrc
fi



########################################
#export variables also to current shell
#######################################
source ~/.bashrc


#####################################################
#copy files to iridis and create directory on iridis
######################################################
ssh-iridis 'mkdir -p bin; mkdir -p figures'
rsync-iridis ~/bin/getvar $IRIDIS_ID@iridis2.soton.ac.uk:~/bin 
rsync-iridis ~/bin/config $IRIDIS_ID@iridis2.soton.ac.uk:~/bin
rsync-iridis ~/bin/change_param $IRIDIS_ID@iridis2.soton.ac.uk:~/bin

#####################################################
# Add path ~/bin/ to ~/.tcshrc (reate new file)
######################################################
ssh-iridis 'echo "set path = ( /rhome/`whoami`/bin/ $path)" | cat > ~/.tcshrc'
